### Method

# Json Node take_array

#### Declaration [src]

    void
    json_node_take_array (
      JsonNode* node,
      JsonArray* array
    )

#### Description [src]

Sets `array` inside `node`.

The reference count of `array` is not increased.

It is a programmer error to call this on a node which doesn’t hold an array value. Use `JSON_NODE_HOLDS_ARRAY` first.

#### Parameters

`array`

  Type: `JsonArray`

  A JSON array.

  The instance takes ownership of the data, and is responsible for freeing it.